Attribute VB_Name = "SetDueDate"
Public Sub setdue()
    Set objMsg = GetCurrentItem()
    If objMsg Is Nothing Then
        blah = MsgBox("Please select a mail item first", vbOKOnly)
        Exit Sub
    ElseIf TypeOf objMsg Is MailItem Then
        DueDateForm.dueStartLabel.Caption = "( " & Date & " )"
        DueDateForm.dueEndLabel.Caption = "( " & Date & " )"
        DueDateForm.Show
        If DueDateForm.dueCancel.cancel = True Then
            Unload DueDateForm
            Exit Sub
        End If
        
        If IsNumeric(DueDateForm.dueStart.Value) And IsNumeric(DueDateForm.dueEnd.Value) Then
            reminddays = CInt(DueDateForm.dueStart.Value)
            countdays = CInt(DueDateForm.dueEnd) + reminddays
        Else
            blah = MsgBox("Reminders must be numeric values", vbOKOnly)
            DueDateForm.Show
        
        
        End If
            

        With objMsg
        
            
            .MarkAsTask olMarkThisWeek
            ' sets a specific due date

            .FlagRequest = "Flagged"
            .TaskStartDate = Now + reminddays
            .TaskDueDate = Now + countdays
            .ReminderSet = True
            .ReminderTime = Now + reminddays
            .Save
        End With
    End If
End Sub

Function GetCurrentItem() As Object
    On Error Resume Next
    Dim App As Object
    Set App = CreateObject("Outlook.Application")
    
    Select Case TypeName(App.ActiveWindow)
        Case "Explorer"
            Set GetCurrentItem = App.ActiveExplorer.Selection.Item(1)
        Case "Inspector"
            Set GetCurrentItem = App.ActiveInspector.CurrentItem
        Case Else
            ' anything else will result in an error, which is
            ' why we have the error handler above
    End Select
    Set App = Nothing
End Function
